tigase.jaxmpp.core.client.xmpp.modules.muc

## Class DefaultRoomsManager

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.muc.AbstractRoomsManager
  - - tigase.jaxmpp.core.client.xmpp.modules.muc.DefaultRoomsManager

-     public class DefaultRoomsManager
      extends AbstractRoomsManager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static long` | `chatIds`

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.muc.AbstractRoomsManager

      `context, rooms, sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRoomsManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Room` | `createRoomInstance(BareJID roomJid, String nickname, String password)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.muc.AbstractRoomsManager

      `contains, get, getRooms, initialize, register, remove, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chatIds

          protected static long chatIds

  - ### Constructor Detail

    - #### DefaultRoomsManager

          public DefaultRoomsManager()

  - ### Method Detail

    - #### createRoomInstance

          public Room createRoomInstance(BareJID roomJid,
                                         String nickname,
                                         String password)

      Specified by:
        `createRoomInstance` in class `AbstractRoomsManager`

Copyright © 2006–2020 Tigase. All rights reserved.